using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a gargoyle corpse" )]
	public class GargoyleMage : BaseCreature
	{
		[Constructable]
		public GargoyleMage() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "gargoyle" );
			HiddenTitle = "the gargoyle";
			Body = 134;
			BaseSoundID = 0x540;

			SetStr( 246, 275 );
			SetDex( 176, 195 );
			SetInt( 181, 205 );

			SetHits( 188, 205 );

			SetDamage( 12, 22 );

			SetSkill( SkillName.Concentration, 90.1, 105.0 );
			SetSkill( SkillName.Magery, 90.1, 105.0 );
			SetSkill( SkillName.MagicResist, 90.1, 105.0 );
			SetSkill( SkillName.Tactics, 70.1, 90.0 );
			SetSkill( SkillName.HandToHand, 60.1, 100.0 );

			Fame = 5000;
			Karma = -5000;

			VirtualArmor = 42;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Average );
			AddLoot( LootPack.MedScrolls );
			AddLoot( LootPack.Gems, Utility.RandomMinMax( 1, 4 ) );
		}

		public override int Meat{ get{ return 2; } }

		public GargoyleMage( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}